# appcontainer service

An appcontainer service specifies the zun services.

## appcontainer service list

Print a list of zun services

    openstack appcontainer service list [-h]
                                        [-f {csv,json,table,value,yaml}]
                                        [-c COLUMN] [--max-width <integer>]
                                        [--fit-width] [--print-empty]
                                        [--noindent]
                                        [--quote {all,minimal,none,nonnumeric}]
                                        [--sort-column SORT_COLUMN]

-h, --help

  show this help message and exit

-f {csv,json,table,value,yaml},
--format {csv,json,table,value,yaml}

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max- width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--noindent

  whether to disable indenting the JSON

--quote {all,minimal,none,nonnumeric}

  when to include quotes, defaults to nonnumeric

## appcontainer service delete

Delete the Zun binaries/services.

    openstack appcontainer service delete [-h] <host> <binary>

<host>

  Name of host

<binary>

  Name of the binary to delete

-h, --help

  show this help message and exit

## appcontainer service forcedown

Force the Zun service to down or up.

    openstack appcontainer service forcedown [-h]
                                             [-f {json,shell,table,value,yaml}]
                                             [-c COLUMN]
                                             [--max-width <integer>]
                                             [--fit-width] [--print-empty]
                                             [--noindent] [--prefix PREFIX]
                                             [--unset]
                                             <host> <binary>

<host>

  Name of host

<binary>

  Name of the binary to forcedown

-h, --help

  show this help message and exit

--unset

  Unset the force state down of service

-f {json,shell,table,value,yaml},
--format {json,shell,table,value,yaml}

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max- width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--noindent

  whether to disable indenting the JSON

--prefix PREFIX

  add a prefix to all variable names

## appcontainer service enable

Enable the Zun service.

    openstack appcontainer service enable [-h]
                                          [-f {json,shell,table,value,yaml}]
                                          [-c COLUMN]
                                          [--max-width <integer>]
                                          [--fit-width] [--print-empty]
                                          [--noindent] [--prefix PREFIX]
                                          <host> <binary>

<host>

  Name of host

<binary>

  Name of the binary to enable

-h, --help

  show this help message and exit

-f {json,shell,table,value,yaml},
--format {json,shell,table,value,yaml}

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max- width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--noindent

  whether to disable indenting the JSON

## appcontainer service disable

Disable the Zun service.

    openstack appcontainer service disable [-h]
                                          [-f {json,shell,table,value,yaml}]
                                          [-c COLUMN]
                                          [--max-width <integer>]
                                          [--fit-width] [--print-empty]
                                          [--noindent] [--prefix PREFIX]
                                          [--reason <reason>]
                                          <host> <binary>

<host>

  Name of host

<binary>

  Name of the binary to disable

-h, --help

  show this help message and exit

--reason <reason>

  Reason for disabling service

-f {json,shell,table,value,yaml},
--format {json,shell,table,value,yaml}

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max- width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--noindent

  whether to disable indenting the JSON

--prefix PREFIX

  add a prefix to all variable names

this page last updated: 2022-01-12 20:27:15

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug